F-16 Branched report: 20110920 changes

Marcela Mašláňová mmaslano at redhat.com
Thu Sep 22 11:07:34 UTC 2011


On 09/22/2011 11:31 AM, Kalev Lember wrote:
> On 09/22/2011 12:05 PM, Ralf Corsepius wrote:
>> On 09/20/2011 01:12 PM, Branched Report wrote:
>>> Compose started at Tue Sep 20 08:15:41 UTC 2011
>>>
>>> Broken deps for x86_64
>>> ----------------------------------------------------------
>>
>> This breakage is weird:
>>
>>> 	hosts3d-1.13-2.fc15.x86_64 requires libglfw.so.2.6()(64bit)
>>
>> In Fedora<  16, libglfw was provided by libglfw.
>>
>> In git,
>> * hosts3d is marked "dead.package" on master and has
>>     branches for Fedora<  f17.
>> * libglfw is marked "dead.package" on master and has
>>     branches for Fedora<  f16.
>>     Besides this, libglfw is in non-buildable/broken shape for f15.
>>
>> Note: There is _no_ branch for libglfw/f16 !!!
>>
>>
>> Inside of the rpm repositories,
>> * there are host3d packages for both rawhide and f16.
>> * there are _no_ libglfw package for neither rawhide or f16.
>>
>> =>  The rpm repositories and git are in inconsistent shape.
>>
>> How do we want to get out of this mess?
>
> Depends on how you want to resolve this. If you are going for
> resurrecting the packages, then fix them up to build again and submit
> new package review requests.
>
> If you want to finish removing host3d, then there are two more steps to do:
>   - retire host3d F16 branch in pkgdb
>   - file a ticket with the rel-eng trac to have host3d blocked in koji
>     for F16+
>
> Blocking it in koji will get rid of the rpms in the rpm repos.
>
> See the Package End of Life instructions at:
> http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
>
>
That doesn't work for provenpackagers. Packages can't be removed without 
retiring package by package maintainer.

-- 
Marcela Mašláňová
BaseOS team Brno


More information about the devel mailing list